import Vue from 'vue';
import VueRouter from 'vue-router';
Vue.use(VueRouter);

import dashboard from "../sections/dashboard.vue";
import change_password from "../sections/change_password.vue";

import workers from "../sections/workers/workers.vue";
import workers_list from "../sections/workers/list.vue";
import workers_add from "../sections/workers/form.vue";

import invoices from "../sections/invoices/invoices.vue";
import invoices_list from "../sections/invoices/list.vue";
import invoices_add from "../sections/invoices/form.vue";



import clients from "../sections/clients/clients.vue";
import clients_list from "../sections/clients/list.vue";
import clients_add from "../sections/clients/form.vue";

export default  new VueRouter({
    routes : [
        { name:'Dashboard', path: '/', component: dashboard, redirect:'/invoices/list',props: true},
        { name:'change_password', path: '/change-password', component: change_password, props: true},
        {
            name: 'workers',
            meta: {id: 'workers'},
            path: '/workers',
            redirect: '/workers/list',
            component: workers,
            // Children is just another route definition of sub-routes.
            children: [
                {
                    name: 'workers list',
                    meta: {id: 'workers'},
                    path: '/workers/list',
                    component: workers_list,
                },
                {
                    name: 'workers form add',
                    meta: {id: 'workers'},
                    path: '/workers/form/',
                    component: workers_add,
                },
                {
                    name: 'workers form edit',
                    meta: {id: 'workers'},
                    path: '/workers/form/:id',
                    component: workers_add,
                },
            ]
        },
        {
            name: 'invoices',
            meta: {id: 'invoices'},
            path: '/invoices',
            redirect: '/invoices/list',
            component: invoices,
            // Children is just another route definition of sub-routes.
            children: [
                {
                    name: 'invoices list',
                    meta: {id: 'invoices'},
                    path: '/invoices/list',
                    component: invoices_list,
                },
                {
                    name: 'invoices form add',
                    meta: {id: 'invoices'},
                    path: '/invoices/form',
                    component: invoices_add,
                },
                {
                    name: 'invoices form edit',
                    meta: {id: 'invoices'},
                    path: '/invoices/form/:id',
                    component: invoices_add,
                },
                
            ]
        },
        {
            name: 'clients',
            meta: {id: 'clients'},
            path: '/clients',
            redirect: '/clients/list',
            component: clients,
            // Children is just another route definition of sub-routes.
            children: [
                {
                    name: 'clients list',
                    meta: {id: 'clients'},
                    path: '/clients/list',
                    component: clients_list,
                },
                {
                    name: 'clients form add',
                    meta: {id: 'clients'},
                    path: '/clients/form/',
                    component: clients_add,
                },
                {
                    name: 'clients form edit',
                    meta: {id: 'clients'},
                    path: '/clients/form/:id',
                    component: clients_add,
                },
            ]
        },
    ]
});