import Vue from 'vue';
import Vuex from 'vuex';
import moment from 'moment';
Vue.use(Vuex);

export default new Vuex.Store({
    state: {
        app: {
            settings: {

            },
            report: {
                name: "/reports/balance",
                worker: "",
                from: moment().format("MM/DD/YYYY"),
                to: moment().format("MM/DD/YYYY"),
                month: moment().format("MM/YYYY"),
                exec: false,
            },
            form: {
                state: "add",
                item: {
                    name: "",
                    satus: "",
                },
            },
            last_month_pay: {
                last_month: {
                    inv_date: "",
                }
            },
            manager: {},
            search: {},
            page: 1,
            messages: [],
            ready: false,
            user: {
                email: "",
            }
        },
    },
    getters: {
    },
    actions: {
        getSetting(state) {
            let url = "api/settings";
            axios.get(url).then(response => {
                this.state.app.settings = response.data;
                this.state.app.ready = true
            }).catch(error => {
            });
        },
        initForm(state) {
            this.state.app.form.state = "add";
            this.state.app.form.item = {};
            this.dispatch('setPage', 1);
        },
        setForm(state, form) {
            this.state.app.form.state = form.state;
            this.state.app.form.item = form.item;
        },
        setItem(state, item) {
            this.state.app.form.item = item;
        },
        setPage(state, page) {
            this.state.app.page = page;
        },
        setSearch(state, search) {
            this.state.app.search = search;
        },
        addMessage(state, message) {
            switch (message.type) {
                case "errors":
                    toastr.error(message.text);
                    break;
                case "success":
                    toastr.success(message.text);
                    break;
            }
            this.state.app.messages.push({ type: message.type, text: message.text });
        }
    },
    mutations: {
    }
});
